import { writable } from 'svelte/store';

const componentStores = new Map();

// Create or retrieve a component store
export function createComponentStore(componentId, initialState = {}) {
    if (!componentStores.has(componentId)) {
        componentStores.set(componentId, writable(initialState));
    }
    return componentStores.get(componentId);
}

// Get component store or create a default empty one if not exists
export function getComponentStore(componentId) {
    return componentStores.get(componentId) || createComponentStore(componentId);
}
